Package fr.gouv.vitam.common.database.builder.request.multiple

# Class UpdateMultiQuery

java.lang.Object
fr.gouv.vitam.common.database.builder.request.AbstractRequest
fr.gouv.vitam.common.database.builder.request.multiple.RequestMultiple
fr.gouv.vitam.common.database.builder.request.multiple.UpdateMultiQuery

public class UpdateMultiQuery extends RequestMultiple
Update: { $roots: roots, $query : query, $filter : multi, $action : action } or [ roots, query, multi, action ]

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<Action>`
  `actions`

  ### Fields inherited from class fr.gouv.vitam.common.database.builder.request.multiple.RequestMultiple

  `facets, queries, roots, threshold`

  ### Fields inherited from class fr.gouv.vitam.common.database.builder.request.AbstractRequest

  `filter, projection`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateMultiQuery()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final UpdateMultiQuery`
  `addActions(Action... action)`
  `final List<Action>`
  `getActions()`
  default implements of getActions
  `final com.fasterxml.jackson.databind.node.ObjectNode`
  `getFinalUpdate()`
  `final com.fasterxml.jackson.databind.node.ObjectNode`
  `getFinalUpdateById()`
  `final UpdateMultiQuery`
  `reset()`
  `final UpdateMultiQuery`
  `resetActions()`
  `final UpdateMultiQuery`
  `setFilter(com.fasterxml.jackson.databind.JsonNode filterContent)`
  `final UpdateMultiQuery`
  `setMult(boolean mult)`
  `final UpdateMultiQuery`
  `setMult(com.fasterxml.jackson.databind.JsonNode filterContent)`
  `String`
  `toString()`

  ### Methods inherited from class fr.gouv.vitam.common.database.builder.request.multiple.RequestMultiple

  `addQueries, addRoots, addRoots, getAllProjection, getData, getFacets, getFinal, getNbQueries, getNthQuery, getProjection, getQueries, getRoots, getThreshold, parseRoots, resetQueries, resetRoots, setFacets, setQuery, setThreshold`

  ### Methods inherited from class fr.gouv.vitam.common.database.builder.request.AbstractRequest

  `addHintFilter, addHintFilter, getFilter, parseFilter, resetFilter, resetHintFilter, selectAddOrderByAscFilter, selectAddOrderByDescFilter, selectAddOrderByFilter, selectAddProjection, selectAddUnusedProjection, selectAddUsedProjection, selectGetAllProjection, selectGetFinalSelect, selectGetProjection, selectParseLimitFilter, selectParseOrderByFilter, selectParseProjection, selectReset, selectResetLimitFilter, selectResetOrderByFilter, selectResetUsedProjection, selectSetFilter, selectSetLimitFilter, selectSetLimitFilter, selectSetProjection, selectSetScrollFilter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### actions

    protected List<Action> actions

- ## Constructor Details

  - ### UpdateMultiQuery

    public UpdateMultiQuery()

- ## Method Details

  - ### resetActions

    public final UpdateMultiQuery resetActions()
    Returns:
      this Update

  - ### reset

    public final UpdateMultiQuery reset()
    Overrides:
      `reset` in class `RequestMultiple`
    Returns:
      this Update

  - ### setMult

    public final UpdateMultiQuery setMult(boolean mult)
    Parameters:
      `mult` - True to act on multiple elements, False to act only on 1 element
    Returns:
      this Update

  - ### setMult

    public final UpdateMultiQuery setMult(com.fasterxml.jackson.databind.JsonNode filterContent)
    Parameters:
      `filterContent` - json filter
    Returns:
      this Update

  - ### setFilter

    public final UpdateMultiQuery setFilter(com.fasterxml.jackson.databind.JsonNode filterContent) throws InvalidParseOperationException
    Overrides:
      `setFilter` in class `AbstractRequest`
    Parameters:
      `filterContent` - json filter
    Returns:
      this Update
    Throws:
      `InvalidParseOperationException` - when query is not valid

  - ### addActions

    public final UpdateMultiQuery addActions(Action... action) throws InvalidCreateOperationException
    Parameters:
      `action` - list
    Returns:
      this Update
    Throws:
      `InvalidCreateOperationException` - when action is not valid

  - ### getFinalUpdateById

    public final com.fasterxml.jackson.databind.node.ObjectNode getFinalUpdateById()
    Returns:
      the Final Update for update one object (by id) containing only 1 part: actions

  - ### getFinalUpdate

    public final com.fasterxml.jackson.databind.node.ObjectNode getFinalUpdate()
    Returns:
      the Final Update containing all 4 parts: roots, queries array, filter and actions

  - ### getActions

    public final List<Action> getActions()
    Description copied from class: `RequestMultiple`
    default implements of getActions
    Overrides:
      `getActions` in class `RequestMultiple`
    Returns:
      the actions list

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `RequestMultiple`